Bug 204548 - CVE-2006-3739 X CID font parser multiple integer overflows (CVE-2006-3740)
Summary: CVE-2006-3739 X CID font parser multiple integer overflows (CVE-2006-3740)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard: public=20060912,reported=20060829,sou...
Keywords: Security
Depends On:
Blocks: 206609
TreeView+ depends on / blocked
 
Reported: 2006-08-29 20:50 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-12 16:09:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from upstream (2.17 KB, patch)
2006-08-29 21:04 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0665 normal SHIPPED_LIVE Important: xorg-x11 security update 2006-09-12 04:00:00 UTC

Description Josh Bressers 2006-08-29 20:50:10 UTC
iDefense reported two integer overflow vulnerabilities in X's CID font parser. 
This could allow an attacker with access to the xserver to execute arbitrary
code with the same privileges as the X server (root).

Comment 3 Josh Bressers 2006-08-29 21:04:13 UTC
Created attachment 135172 [details]
Proposed patch from upstream

Comment 4 Josh Bressers 2006-09-01 14:28:22 UTC
Ping on this.  Any ETA on new packages with this fix?

Comment 8 Mark J. Cox 2006-09-12 14:58:18 UTC
Now public at 
http://lists.freedesktop.org/archives/xorg/2006-September/018021.html
removing embargo

Comment 9 Red Hat Bugzilla 2006-09-12 16:09:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0665.html



Note You need to log in before you can comment on or make changes to this bug.